Bug 149217 - man pages for shmget(2) and shmctl(2) are wrong
Summary: man pages for shmget(2) and shmctl(2) are wrong
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man-pages-ja   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Akira TAGOH
QA Contact: Alexandre Petit-Bianco
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-02-21 12:54 UTC by Jay Turner
Modified: 2018-10-19 19:04 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0059
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:33:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0059 qe-ready SHIPPED_LIVE man-pages-ja bug fix update 2006-03-03 05:00:00 UTC

Description Jay Turner 2005-02-21 12:54:14 UTC
Description of problem:
man-pages-ja version of bug 149209.

Description of problem:
 man pages for shmget(2) and shmctl(2) are wrong. 
  - The second argument in prototype declaration of Japanese man page 
    for shmget(2) is not 'int' but 'size_t'
  - 'shmid_ds' member variable in 'shmid_ds' of Japanese and English 
    man pages for shmget(2) and shmctl(2) is not 'int' but 'size_t'. 

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira TAGOH 2005-03-02 22:59:52 UTC
waiting for the erratum.

Comment 2 Lawrence Lim 2005-03-04 07:58:18 UTC
Confirmed fixed in man-pages-ja-20050215-1.EL4.0, currently located in
dist-4E-errata-candidates.

-----
man shmget: 
int shmget(key_t key, size_t size, int shmflg);
struct shmid_ds {
                struct ipc_perm shm_perm;    /* operation perms */
                size_t          shm_segsz;   /* size of segment (bytes) */

man shmctl:
struct shmid_ds {
               struct ipc_perm shm_perm;    /* ææ権ã¨è¨±å¯ */
               size_t          shm_segsz;   /* ã»ã°ã¡ã³ãã®ãµã¤ãº (ã
ã¤ã) */


Comment 3 Lawrence Lim 2005-03-04 08:40:12 UTC
Reopening. Will close this bug agains after U1 has been pushed.

Comment 6 Jay Turner 2005-09-13 11:24:30 UTC
The errata never got submitted properly so will not be included in RHEL4-U2. 
I'm moving it over to RHEL4-U3.

Comment 10 Akira TAGOH 2005-10-20 04:27:26 UTC
This problem has already been fixed in devel and the patch should be cleanly
able to be applied to RHEL4. added devel ack.

Comment 16 Red Hat Bugzilla 2006-03-07 18:33:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0059.html



Note You need to log in before you can comment on or make changes to this bug.